BasicMenuUI.ChangeHandler (Java SE 12 & JDK 12 )
Keywords: javax.swing.plaf.basic.BasicMenuUI.ChangeHandler class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicMenuUI.ChangeHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicMenuUI.ChangeHandler

- All Implemented Interfaces:
    `EventListener`, `ChangeListener`
  Enclosing class:
    BasicMenuUI

      public class BasicMenuUI.ChangeHandler
      extends Object
      implements ChangeListener

  As of Java 2 platform 1.4, this previously undocumented class is now obsolete. KeyBindings are now managed by the popup menu.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `isSelected` | `true` if an item of popup menu is selected.
    `JMenu` | `menu` | The instance of `JMenu`.
    `BasicMenuUI` | `ui` | The instance of `BasicMenuUI`.
    `Component` | `wasFocused` | The component that was focused.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChangeHandler​(JMenu m, BasicMenuUI ui)` | Constructs a new instance of `ChangeHandler`.

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface javax.swing.event.ChangeListener

      `stateChanged`

- - ### Field Detail

    - #### menu

          public JMenu menu

      The instance of `JMenu`.

    - #### ui

          public BasicMenuUI ui

      The instance of `BasicMenuUI`.

    - #### isSelected

          public boolean isSelected

      `true` if an item of popup menu is selected.

    - #### wasFocused

          public Component wasFocused

      The component that was focused.

  - ### Constructor Detail

    - #### ChangeHandler

          public ChangeHandler​(JMenu m,
                               BasicMenuUI ui)

      Constructs a new instance of `ChangeHandler`.
      Parameters:
        `m` - an instance of `JMenu`
        `ui` - an instance of `BasicMenuUI`